call plug#begin('~/.config/nvim/plugged')
Plug 'Shougo/deoplete.nvim', { 'do': ':UpdateRemotePlugins' }
Plug 'autozimu/LanguageClient-neovim', {'branch': 'next', 'do': 'bash install.sh' }

Plug 'rhysd/vim-crystal'
Plug 'elmcast/elm-vim'

Plug 'arcticicestudio/nord-vim'
Plug 'ap/vim-css-color'

Plug 'xuhdev/vim-latex-live-preview', { 'for': 'tex' }
call plug#end()

set shiftwidth=4
set expandtab
set number
set mouse=a
set exrc
set completeopt-=preview
set signcolumn=yes

let g:LanguageClient_serverCommands = {
            \ 'haskell': ['hie', '--lsp'],
            \ 'rust': ['rustup', 'run', 'stable', 'rls'],
            \ 'c': ['clangd'],
            \ 'crystal': ['scry'],
            \ 'cpp': ['clangd'],
            \ 'javascript': ['javascript-typescript-stdio']
            \ }
let g:deoplete#enable_at_startup = 1
let g:LanguageClient_diagnosticsDisplay = {1: {"name": "Error","texthl": "ALEError","signText": ">>","signTexthl": "ALEErrorSign",},2: {"name": "Warning","texthl": "ALEWarning","signText": ">>","signTexthl": "ALEWarningSign",},3: {"name": "Information","texthl": "ALEInfo","signText": ">>","signTexthl": "ALEInfoSign",},4: {"name": "Hint","texthl": "ALEInfo","signText": ">>","signTexthl": "ALEInfoSign",},}

colorscheme nord
